/*  Header : toktype.h
    Author : Richard A. O'Keefe
    Updated: 2011/02/02
    Purpose: Define Token_Type
*/

#ifndef TOKTYPE_H_
#define TOKTYPE_H_ 1

enum Token_Type {
    End_Of_Line,
    Keyword,
    Attribute,
    Field_Name,
    Identifier,
    Character_Name,
    Number,
    Left_Bracket,
    Right_Bracket,
    Comma,
    Dot,
    Tick,
    String_Opener,
    String_Element,
    String_Closer,
    Comment_Opener,
    Comment_Element,
    Comment_Closer,
    Special
};

#endif/*TOKTYPE_H_*/

